# Yahoo! UI Library

### yuitest 2.8.1

Yahoo! UI Library > yuitest > YAHOO.tool.TestCase.Wait
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.tool.TestCase.Wait

Represents a stoppage in test execution to wait for an amount of time before continuing.

### Constructor

YAHOO.tool.TestCase.Wait `( segment , delay )`

Parameters:
  `segment <Function>` A function to run when the wait is over.
  `delay <int>` The number of milliseconds to wait before running the code.

### Properties

#### delay - `int`

The delay before running the segment of code.

#### segment - `Function`

The segment of code to run when the wait is over.

### Methods

#### JSON

`static String JSON ( result )`
Returns test results formatted as a JSON string. Requires JSON utility.

Parameters:
  `result <Object>` The results object created by TestRunner.

Returns: `String`
  An XML-formatted string of results.

#### XML

`static String XML ( result )`
Returns test results formatted as an XML string.

Parameters:
  `result <Object>` The results object created by TestRunner.

Returns: `String`
  An XML-formatted string of results.

Copyright © 2010 Yahoo! Inc. All rights reserved.